#user  nobody;
worker_processes  1;

error_log  logs/error.log notice;

pid        logs/nginx.pid;

env SYSTEM_NAME;

events {
    worker_connections  1024;
}


http {
    include       mime.types;
    default_type  application/octet-stream;

    log_format  main  '$time_iso8601 $remote_addr "$request" '
                     '$status $body_bytes_sent "$http_referer" '
                     '"$http_user_agent" "$http_x_forwarded_for" $upstream_response_time $request_time';

    access_log  logs/access.log  main;

    sendfile        on;
    #tcp_nopush     on;

    #keepalive_timeout  0;
    keepalive_timeout  65;

    gzip  on;

    resolver 8.8.8.8;

    include /usr/local/openresty/nginx/conf/conf.d/*.conf;
}